curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/blueprint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-postgres",
"tag": "aws/postgres/17/1.0.1",
"icon": "https://cdn.qovery.com/icons/postgresql.svg",
"variables": [],
"spec_overrides": {
"engine_version": "1.13.3",
"credentials": "cluster",
"backend": "qovery"
}
}
'import requests
url = "https://api.qovery.com/environment/{environmentId}/blueprint"
payload = {
"name": "my-postgres",
"tag": "aws/postgres/17/1.0.1",
"icon": "https://cdn.qovery.com/icons/postgresql.svg",
"variables": [],
"spec_overrides": {
"engine_version": "1.13.3",
"credentials": "cluster",
"backend": "qovery"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my-postgres',
tag: 'aws/postgres/17/1.0.1',
icon: 'https://cdn.qovery.com/icons/postgresql.svg',
variables: [],
spec_overrides: {engine_version: '1.13.3', credentials: 'cluster', backend: 'qovery'}
})
};
fetch('https://api.qovery.com/environment/{environmentId}/blueprint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog_url": "<string>",
"tag": "aws/postgres/17/1.0.1",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog_url": "<string>",
"tag": "aws/postgres/17/1.0.1",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create a blueprint service in an environment
Instantiates a blueprint from the service catalog into the given environment. Pass deploy=true to trigger an immediate deployment after creation.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Query Parameters
Trigger a deployment immediately after creation
Body
Display name for the service
"my-postgres"
Catalog tag identifying the blueprint version
"aws/postgres/17/1.0.1"
Icon URL for the service
"https://cdn.qovery.com/icons/postgresql.svg"
Variable overrides for the blueprint
Show child attributes
Show child attributes
Engine-level overrides applied on top of the blueprint manifest. Only fields whose corresponding manifest field is overridable: true are accepted; submitting a non-overridable field returns 422.
Terraform / OpenTofu blueprints
engine_version is required on create. The value must be one of the versions listed in spec.engine.terraform.allowedValues (or opentofu.allowedValues) in the manifest.
Helm blueprints
engine_version, credentials, and backend are ignored. Only timeout and the resource fields apply.
Show child attributes
Show child attributes
{ "engine_version": "1.13.3", "credentials": "cluster", "backend": "qovery" }
Was this page helpful?